/***************************************************************************
 Copyright (C) 2007 Christoph Reichenbach <reichenb@colorado.edu>

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public Licence as
 published by the Free Software Foundaton; either version 2 of the
 Licence, or (at your option) any later version.

 It is distributed in the hope that it will be useful, but
 WITHOUT ANY WARRANTY; without even the implied warranty of
 merchantibility or fitness for a particular purpose. See the
 GNU General Public Licence for more details.

 You should have received a copy of the GNU General Public Licence
 along with this program; see the file COPYING. If not, write to
 the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 Boston, MA 02111-1307, USA.

***************************************************************************/

#ifndef ADV_PARSER_HH_
#define ADV_PARSER_HH_

#include "direction.hh"
#include <string>
#include <iostream>

using namespace std;  // evil

class AdvParser
{
public:
	AdvParser(void);
	~AdvParser(void);


	virtual bool
	parse(void);

	virtual void
	status(void);

	virtual void
	look(string *);

	virtual void
	go(direction);

	virtual void
	get(string *);

	virtual void
	drop(string *);

	virtual void
	use(string *);

	virtual void
	inventory(void);

	virtual void
	quit(void);
};

#endif /* !defined(ADV_PARSER_HH_) */
